Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 621751 - X Crash While Away From Workstation 82G965
X Crash While Away From Workstation 82G965
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
13
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-05 23:05 EDT by Garry T. Williams
Modified: 2011-06-01 08:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-01 08:10:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Garry T. Williams 2010-08-05 23:05:09 EDT
Description of problem:
X crashed while I was away from workstation.  Firefox was only application running at the time.  Abrt saved a core dump and I include the back trace below.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.8.2-2.fc13.x86_64
xorg-x11-drv-intel-2.11.0-5.fc13.x86_64

How reproducible:
Not known.

Additional info:

Dell E520, Intel Core2

00:02.1 Display controller: Intel Corporation 82G965 Integrated Graphics Controller (rev 02)

Back trace:

(gdb) bt
#0  0x0000003dea6329a5 in raise (sig=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0x0000003dea634185 in abort () at abort.c:92
#2  0x000000000046206e in OsAbort () at utils.c:1335
#3  0x000000000045d3dd in AbortServer () at log.c:425
#4  0x000000000045dc30 in FatalError (
    f=0x5751d0 "Caught signal %d (%s). Server aborting\n") at log.c:553
#5  0x0000000000464bce in OsSigHandler (signo=11, sip=<value optimized out>, 
    unused=<value optimized out>) at osinit.c:156
#6  <signal handler called>
#7  0x00000000054d4510 in ?? ()
#8  0x0000000000547c97 in miDoCopy (pSrcDrawable=0x7e63860, 
    pDstDrawable=0x4b3b2f0, pGC=0x3a126f0, xIn=0, yIn=0, widthSrc=1680, 
    heightSrc=1050, xOut=0, yOut=0, copyProc=0x7f503038b060 <uxa_copy_n_to_n>, 
    bitPlane=0, closure=0x0) at micopy.c:192
#9  0x00007f503038afe0 in uxa_copy_area (pSrcDrawable=0x7e63860, 
    pDstDrawable=0x4b3b2f0, pGC=0x3a126f0, srcx=0, srcy=<value optimized out>, 
    width=<value optimized out>, height=1050, dstx=0, dsty=0)
    at uxa-accel.c:506
#10 0x00000000004de048 in damageCopyArea (pSrc=0x7e63860, pDst=0x4b3b2f0, 
    pGC=0x3a126f0, srcx=0, srcy=0, width=1680, height=1050, dstx=0, dsty=0)
    at damage.c:949
#11 0x00007f5030386bc2 in I830DRI2CopyRegion (drawable=0x4b3b2f0, 
    pRegion=<value optimized out>, destBuffer=<value optimized out>, 
    sourceBuffer=<value optimized out>) at i830_dri.c:367
#12 0x00007f5030387879 in I830DRI2FrameEventHandler (frame=436667525, 
    tv_sec=1281013563, tv_usec=919473, event_data=0x74aa5e0) at i830_dri.c:558
#13 0x0000003dfd6067c3 in drmHandleEvent (fd=8, evctx=0x1e715a8)
    at xf86drmMode.c:787
#14 0x000000000044ce9b in WakeupHandler (result=2, pReadmask=0x7e2b00)
    at dixutils.c:403
#15 0x0000000000465657 in WaitForSomething (pClientsReady=0x3bc8e30)
    at WaitFor.c:232
#16 0x0000000000426b02 in Dispatch () at dispatch.c:375
#17 0x000000000042189a in main (argc=<value optimized out>, 
    argv=0x7fff0c069bb8, envp=<value optimized out>) at main.c:286
Comment 1 Garry T. Williams 2010-08-16 23:10:01 EDT
This crash has now occurred four more times with the same backtrace[*].  I suspect that xscreensaver is tickling a bug because the crash occurs shortly after leaving the system for the day and it is installed and running in my KDE session.

______________
[*] The last crash was not dumped due to:
Aug 15 06:23:50 vfr kernel: Process 8037(X) has RLIMIT_CORE set to 0
Aug 15 06:23:50 vfr kernel: Aborting core
Aug 15 06:23:51 vfr kdm[1768]: X server for display :0 terminated unexpectedly
Comment 2 Garry T. Williams 2010-09-01 10:52:52 EDT
Updated to:

    kernel-2.6.34.6-47.fc13.x86_64

Slightly different back trace may be of help.  Anything else I can provide?

Core was generated by `/usr/bin/X :0 vt1 -nr -nolisten tcp -auth /var/run/kdm/A:0-g6SLxa'.
Program terminated with signal 11, Segmentation fault.
#0  0x0000003dee20f807 in x86_64_fallback_frame_state (context=0x7ffff9558c20, fs=0x7ffff9558aa0) from /lib64/libgcc_s-4.4.4-20100630.so.1
(gdb) bt
#0  0x0000003dee20f807 in x86_64_fallback_frame_state (context=0x7ffff9558c20, fs=0x7ffff9558aa0) from /lib64/libgcc_s-4.4.4-20100630.so.1
#1  uw_frame_state_for (context=0x7ffff9558c20, fs=0x7ffff9558aa0) at ../../../gcc/unwind-dw2.c:1145
#2  0x0000003dee2100b9 in _Unwind_Backtrace (trace=0x3dea6f7560 <backtrace_helper>, trace_argument=0x7ffff9558d60) from /lib64/libgcc_s-4.4.4-20100630.so.1
#3  0x0000003dea6f769e in __backtrace (array=<value optimized out>, size=64) at ../sysdeps/ia64/backtrace.c:91
#4  0x000000000045cef8 in xorg_backtrace () at backtrace.c:45
#5  0x000000000045ce59 in OsSigHandler (signo=11, sip=0x7ffff9559130, unused=<value optimized out>) at osinit.c:139
#6  <signal handler called>
#7  0x0000000000001000 in ?? ()
#8  0x000000000054a477 in miDoCopy (pSrcDrawable=0x44db4e0, pDstDrawable=0x5ff7930, pGC=0x33fb6b0, xIn=0, yIn=0, widthSrc=1680, heightSrc=1050, xOut=0, yOut=0, copyProc=0x7fe1dfbcb060 <uxa_copy_n_to_n>,
    bitPlane=0, closure=0x0) at micopy.c:192
#9  0x00007fe1dfbcafe0 in uxa_copy_area (pSrcDrawable=0x44db4e0, pDstDrawable=0x5ff7930, pGC=0x33fb6b0, srcx=0, srcy=<value optimized out>, width=<value optimized out>, height=1050, dstx=0, dsty=0)
    at uxa-accel.c:506
#10 0x00000000004e0288 in damageCopyArea (pSrc=0x44db4e0, pDst=0x5ff7930, pGC=0x33fb6b0, srcx=0, srcy=0, width=1680, height=1050, dstx=0, dsty=0) at damage.c:949
#11 0x00007fe1dfbc6bc2 in I830DRI2CopyRegion (drawable=0x5ff7930, pRegion=<value optimized out>, destBuffer=<value optimized out>, sourceBuffer=<value optimized out>) at i830_dri.c:367
#12 0x00007fe1dfbc7879 in I830DRI2FrameEventHandler (frame=92721, tv_sec=1283349572, tv_usec=328563, event_data=0x6143e80) at i830_dri.c:558
#13 0x0000003dfd6067c3 in drmHandleEvent (fd=8, evctx=0x185a568) at xf86drmMode.c:787
#14 0x0000000000437dfb in WakeupHandler (result=2, pReadmask=0x7e2b20) at dixutils.c:403
#15 0x000000000045c0c7 in WaitForSomething (pClientsReady=0x35bf9a0) at WaitFor.c:232
#16 0x0000000000435eb2 in Dispatch () at dispatch.c:375
#17 0x000000000042189a in main (argc=<value optimized out>, argv=0x7ffff955a068, envp=<value optimized out>) at main.c:286
(gdb)
Comment 3 Bug Zapper 2011-06-01 08:02:37 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Garry T. Williams 2011-06-01 08:10:29 EDT
I've moved on to F15 and cannot provide more info on this bug.

Note You need to log in before you can comment on or make changes to this bug.